#ifndef INTERRUPT_H
#define INTERRUPT_H

#include "rtk32.h"

class IntHandler {
public:
	IntHandler( unsigned char IRQ, RTKSemaphore * );
	~IntHandler();
	static void RTKAPI handleInt();
private:
	static unsigned char IRQ;
	static RTKSemaphore *sem;
};

#endif